---
search:
  tags:
    - Channels
    - POST
seo:
  description: >-
    Creates or updates a channel content… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content endpoint in the
    Management API.
sidebar:
  label: Create Channel Content Override
  badge: POST
title: Create Channel Content Override
type: openapi-operation
---
Creates or updates a channel content override for a product or variant. Supports text fields (name, description, slug, etc.) and relationship fields (category, collection, tag, attribute, image).

`POST /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content`

**Request body** (`application/json`, required)

Channel content data

- `field_type` (string, required)
- `parent_id` (string, required)
- `parent_type` (string, required)
- `relationships` (string[] | null)
- `translations` (github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[] | null)
- `value` (string | null)

Request body example:

```json
{
  "field_type": "name",
  "parent_id": "string",
  "parent_type": "product",
  "relationships": [
    "string"
  ],
  "translations": [
    {
      "language_code": "string",
      "value": "string"
    }
  ],
  "value": "string"
}
```

**Responses**

- `200` — OK
- `400` — Bad Request
- `404` — Not Found
- `500` — Internal Server Error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "field_type": "string",
    "id": "string",
    "parent_id": "string",
    "parent_type": "string",
    "preview": [
      "string"
    ],
    "relationships": [
      "string"
    ],
    "translations": [
      {
        "language_code": "string",
        "value": "string"
      }
    ],
    "updated_at": "string",
    "value": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
